# Ds\Set::last

(PECL ds >= 1.0.0)

Ds\Set::last — Returns the last value in the set

### Description

public Ds\Set::last ( void ) : mixed

Returns the last value in the set.

### Parameters

This function has no parameters.

### Return Values

The last value in the set.

### Errors/Exceptions

UnderflowException if empty.

### Examples

Example #1 Ds\Set::last() example

`<?php
$set = new \Ds\Set([1, 2, 3]);
var_dump($set->last());
?>`

The above example will output something similar to:

    int(3)